VkCommandBufferAllocateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkCommandPool | commandPool
VkCommandBufferLevel | level
uint32_t | commandBufferCount

## Detailed Description

Definition at line 2312 of file vulkan.h.

## Field Documentation

## commandBufferCount

uint32_t VkCommandBufferAllocateInfo::commandBufferCount

Definition at line 2317 of file vulkan.h.

Referenced by createCommandBuffers().

## commandPool

VkCommandPool VkCommandBufferAllocateInfo::commandPool

Definition at line 2315 of file vulkan.h.

Referenced by createCommandBuffers().

## level

VkCommandBufferLevel VkCommandBufferAllocateInfo::level

Definition at line 2316 of file vulkan.h.

Referenced by createCommandBuffers().

## pNext

const void* VkCommandBufferAllocateInfo::pNext

Definition at line 2314 of file vulkan.h.

## sType

VkStructureType VkCommandBufferAllocateInfo::sType

Definition at line 2313 of file vulkan.h.

Referenced by createCommandBuffers().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h